# Theme Updater Script

This Bash script automates the process of downloading, comparing, and updating theme files from remote URLs. It's especially useful for keeping local theme files up-to-date with their remote versions.

## Features

- Download theme files from remote URLs.
- Compare local theme files with remote versions.
- Update local theme files if they differ from their remote counterparts.
- Log information and errors during the process.
- Notify Discord in case of errors.

## Prerequisites

- Bash (Shell)
- `wget` command (for downloading files)
- `curl` command (for sending Discord messages)

## Getting Started

1. Clone this repository:

   ```bash
   git clone https://git.sthope.dev/sthope/gitea_themes.git
   cd gitea_themes
   ```

2. Customize the themes array in the script to include your desired themes and their remote URLs.

3. Create a `discord_url` file in the same directory with the following content:

   ```bash
   # Webhook URL for Discord
   DISCORD_WEBHOOK_URL="YOUR_DISCORD_WEBHOOK_URL_HERE"
   ```

4. Make the script executable:

   ```bash
   chmod +x download_themes.sh
   ```

5. Run the script:

   ```bash
    ./download_themes.sh
   ```

## Configuration

    - 'themes': An array containing theme names and their corresponding remote URLs.
    - 'discord_url': Configuration file containing your Discord webhook URL.

## Contributing

Contributions are welcome! Feel free to submit issues or pull requests for enhancements or bug fixes.

## License

This project is licensed under the MIT License. See [LICENSE] for details.

Disclaimer: This script is provided as-is, and the author assumes no responsibility for its usage or its impact on your system. Use at your own risk.

For questions or support, please create an issue on the Git repository.